edu.sc.seis.sod.validator.documenter

## Class VelocityModelHelper

- java.lang.Object
- - edu.sc.seis.sod.validator.documenter.VelocityModelHelper

-     public class VelocityModelHelper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityModelHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClass(Form f)`
    `java.lang.String` | `getDefName(Definition d)`
    `java.lang.String` | `getDefName(java.lang.Object o)`
    `java.lang.Object` | `getItem(java.lang.Object[] array, java.lang.Integer index)`
    `int` | `getLen(java.lang.Object[] array)`
    `java.lang.String` | `getName(java.lang.Object o)`
    `boolean` | `isChoice(Form f)`
    `boolean` | `isGen(Form f)`
    `boolean` | `isGroup(Form f)`
    `boolean` | `isInterleave(Form f)`
    `boolean` | `isMultigen(Form f)`
    `int` | `length(java.lang.Object[] objs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityModelHelper

          public VelocityModelHelper()

  - ### Method Detail

    - #### getClass

          public java.lang.String getClass(Form f)

    - #### isMultigen

          public boolean isMultigen(Form f)

    - #### isGen

          public boolean isGen(Form f)

    - #### isChoice

          public boolean isChoice(Form f)

    - #### isInterleave

          public boolean isInterleave(Form f)

    - #### isGroup

          public boolean isGroup(Form f)

    - #### getLen

          public int getLen(java.lang.Object[] array)

    - #### getItem

          public java.lang.Object getItem(java.lang.Object[] array,
                                          java.lang.Integer index)

    - #### getName

          public java.lang.String getName(java.lang.Object o)

    - #### getDefName

          public java.lang.String getDefName(java.lang.Object o)

    - #### getDefName

          public java.lang.String getDefName(Definition d)

    - #### length

          public int length(java.lang.Object[] objs)